# Class PrefixHeaderFileGenerateTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.nativeplatform.tasks.PrefixHeaderFileGenerateTask

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@Incubating @DisableCachingByDefault(because="Not made cacheable, yet") @Deprecated public abstract class PrefixHeaderFileGenerateTask extends DefaultTask
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
Generates a prefix header file from a list of headers to be precompiled.

Since:
  2.4

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `(package private) static class`
  `PrefixHeaderFileGenerateTask.GeneratePrefixHeaderFile`
  Deprecated.
  `(package private) static interface`
  `PrefixHeaderFileGenerateTask.PrefixHeaderFileParameters`
  Deprecated.

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrefixHeaderFileGenerateTask(WorkerExecutor workerExecutor)`
  Deprecated.
  Injects a `WorkerExecutor` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `generatePrefixHeaderFile()`
  Deprecated.
  `String`
  `getHeader()`
  Deprecated.
  Returns the header.
  `File`
  `getPrefixHeaderFile()`
  Deprecated.
  Returns the prefix header file.
  `void`
  `setHeader(String header)`
  Deprecated.
  Sets the header.
  `void`
  `setPrefixHeaderFile(File prefixHeaderFile)`
  Deprecated.
  Sets the prefix header file.

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getLoggingManager, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, service, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache, service`

- ## Constructor Details

  - ### PrefixHeaderFileGenerateTask

    @Inject public PrefixHeaderFileGenerateTask(WorkerExecutor workerExecutor)
    Deprecated.
    Injects a `WorkerExecutor` instance.
    Since:
      4.2

- ## Method Details

  - ### generatePrefixHeaderFile

    void generatePrefixHeaderFile()
    Deprecated.

  - ### getHeader

    @Input public String getHeader()
    Deprecated.
    Returns the header.
    Since:
      3.0

  - ### setHeader

    public void setHeader(String header)
    Deprecated.
    Sets the header.
    Since:
      2.5

  - ### getPrefixHeaderFile

    @OutputFile public File getPrefixHeaderFile()
    Deprecated.
    Returns the prefix header file.
    Since:
      2.4

  - ### setPrefixHeaderFile

    public void setPrefixHeaderFile(File prefixHeaderFile)
    Deprecated.
    Sets the prefix header file.
    Since:
      2.4